<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:src="@drawable/bg_login"
            app:layout_constraintDimensionRatio="2.87:1"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/code_login_iv"
            android:layout_width="21dp"
            android:layout_height="21dp"
            android:layout_marginTop="42dp"
            android:layout_marginRight="28dp"
            android:src="@drawable/icon_setting"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.core.widget.NestedScrollView
            android:id="@+id/login_sv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="72dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="37dp"
                    android:src="@drawable/ic_manageapp_launcher"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:layout_width="22dp"
                    android:layout_height="22dp"
                    android:layout_marginRight="15dp"
                    android:src="@drawable/icon_zhanghao"
                    app:layout_constraintBottom_toBottomOf="@id/account_et"
                    app:layout_constraintRight_toLeftOf="@id/account_et"
                    app:layout_constraintTop_toTopOf="@id/account_et" />

                <EditText
                    android:id="@+id/account_et"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="82dp"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:hint="@string/inputaccount"
                    android:singleLine="true"
                    android:textColor="@color/black"
                    android:textColorHint="#FFB8C2D9"
                    android:textSize="21sp"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:layout_width="387dp"
                    android:layout_height="1dp"
                    android:layout_marginTop="12dp"
                    android:src="#D0DBF4"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/account_et" />

                <ImageView
                    android:layout_width="22dp"
                    android:layout_height="22dp"
                    android:layout_marginRight="15dp"
                    android:src="@drawable/icon_mima"
                    app:layout_constraintBottom_toBottomOf="@id/code_et"
                    app:layout_constraintRight_toLeftOf="@id/code_et"
                    app:layout_constraintTop_toTopOf="@id/code_et" />

                <EditText
                    android:id="@+id/code_et"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="165dp"
                    android:background="@null"
                    android:digits="@string/psw_style"
                    android:inputType="numberPassword"
                    android:gravity="center_vertical"
                    android:hint="@string/inputcode"
                    android:singleLine="true"
                    android:textColor="@color/black"
                    android:textColorHint="#FFB8C2D9"
                    android:textSize="21sp"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:layout_width="387dp"
                    android:layout_height="1dp"
                    android:layout_marginTop="12dp"
                    android:src="#D0DBF4"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/code_et" />

                <Button
                    android:id="@+id/login_btn"
                    android:layout_width="387dp"
                    android:layout_height="49dp"
                    android:layout_marginTop="279dp"
                    android:background="@drawable/icon_login"
                    android:text="@string/loginnow"
                    android:textColor="@color/white"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.core.widget.NestedScrollView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>
